﻿@model SSCMvc.Models.Tb_CourseHist
@using System.Web.UI.WebControls
@using SSCMvc.Models;
@{
    ViewBag.Title = "CourseHistoryEdit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    @*<script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>*@
    @Content.Script("ChildAddEdit.js", Url)

    <script type="text/javascript">
        $(document).ready(function () {

            $("#FromDate").datepicker();
            $("#Todate").datepicker();
            $("#DueDate").datepicker();

            var idCourse = $("#courseidhidden").val();
            var hours = "";

            if (idCourse != 14 && idCourse != 17) {

                $("#PackageHourstr").hide();
            }
            else {

                $("#PackageHourstr").show();
            }

            hours = GetHours($("#PackageId").val());


            $("#PackageHours").val(hours);

            getpackage(idCourse, hours);

            var idgroup = $("#ie").val();

            gettimecode(idgroup);
            var Tid = $("#TimeId").val();
            var PkId = $("#PackageId").val();
            $.getJSON("/MaAdmission/GetAvailSeat", { id: Tid, PkgId: PkId },
    function (modelData) {

        $("#Avail").css('background-color', modelData["Color"])
        $("#Avail").html("Available Seats " + modelData["Count"])

    })
        });
        $("#ie").change(function () {
            var idCourse = $(this).val();
            gettimecode(idCourse);

        });


        function GetHours(pack) {

            var hour = "";
            var ur = "/MaAdmission/GetHours?pack=" + pack;

            $.ajax({
                url: ur,
                async: false,
                success: function (result) {

                    if (result != "") {

                        hour = result;
                    }
                }


            });
            return hour;

        }

        $("#TimeId").change(function () {
            var Tid = $("#TimeId").val();
            var PkId = $("#PackageId").val();
            $.getJSON("/MaAdmission/GetAvailSeat", { id: Tid, PkgId: PkId },
    function (modelData) {
        $("#Avail").css('background-color', modelData["Color"])
        $("#Avail").html("Available Seats " + modelData["Count"])
    })
        });


        $("#CourseId").change(function () {

            var idCourse = $(this).val();

            var id = $("#courseidhidden").val();

            $("#cerr").html("");
             $("#savebtn").attr("disabled", false);

            if (id == 15 || id == 16) {
                if (idCourse == 14 || idCourse == 17) {
                    $("#cerr").html("Invalid selection of course");
                    $("#savebtn").attr("disabled",true);
                }
            }

            if (idCourse != 14 && idCourse != 17) {

                $("#PackageHourstr").hide();
                getpackage(idCourse, "4 Hours");
            }
            else {

                $("#PackageHourstr").show();
            }



        });

        $("#PackageHours").change(function () {

            var courseid = $("#CourseId").val();
            var Hours = $("#PackageHours").val();
            getpackage(courseid, Hours);
        });

        function getpackage(idCourse, hours) {

            $.getJSON("/MaAdmission/LoadPackageByCourse", { id: idCourse, Hour: hours },
function (modelData) {

    var select = $("#PackageId");
    select.empty();
    select.append($('<option value=0>Select Package</option>'));
    $.each(modelData, function (index, itemData) {


        select.append($('<option/>', {

            value: itemData.Value,
            text: itemData.Text,



        }));
        $("#PackageId").val($("#packageidhidden").val());

    });
});
        }
               

        $("#CourseId").change(function () {
            var idCourse = $(this).val();
           
            
            GetCourseDetail(idCourse);
        });


        function GetCourseDetail(idCourse) {

            $.getJSON("/MaAdmission/LoadGroupByCourse", { id: idCourse },
function (modelData) {

    var select = $("#ie");
    select.empty();
    select.append($('<option value="">Select Group</option>'));

    $.each(modelData, function (index, itemData) {
        select.append($('<option/>', {
            value: itemData.Value,
            text: itemData.Text,

        }));
    });
});
        }


        function gettimecode(idCourse) {
            $.getJSON("/MaAdmission/LoadTimeByGroup", { id: idCourse },
function (modelData) {

    var select = $("#TimeId");
    select.empty();
    //select.append($('<option/>', {
    //    //value: 0,
    //    text: "Select Time"
    //}));
    select.append($('<option value="">Select Time</option>'));

    $.each(modelData, function (index, itemData) {


        select.append($('<option/>', {

            value: itemData.Value,
            text: itemData.Text,



        }));
        $("#TimeId").val($("#timeidhidden").val());
    });
});
        }
    </script>

    <script>
        jQuery(document).ready(function () {
            FormValidation.init();

            FormComponents.init();
        });
    </script>

}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit Course History
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                @if (ViewBag.error != null)
                {
                    @Html.Partial("~/Views/Shared/_ShowError.cshtml")
                }
                <input type="submit" id="savebtn" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table style="width: 600px">
                                <tr>
                                    <td colspan="2" align="center">
                                        @*All (<font color="red">*</font>) marked fields are compulsory.*@
                                        <div>
                                            <font color="red"> @ViewBag.msg</font>
                                        </div>
                                        <br />
                                    </td>

                                </tr>
                                <tr>
                                    <td>
                                        <br />
                                    </td>
                                </tr>

                                <tr>
                                    <td>
                                        @Html.HiddenFor(model => model.Id, new { @id = "admid" })
                                        @Html.HiddenFor(model => model.AdmissionId)

                                        <input type="hidden" value="@Model.GroupName" id="grouphidden" />
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.CourseId, "Course")
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @{
                                            @*if (@ViewBag.disabled == true)
                                            {
                                                @Html.DropDownList("CourseId", null, new { @disabled = "disabled" })
                                                @Html.HiddenFor(model => model.CourseId)
                                            }
                                            else*@
                                            {
                                                @Html.DropDownList("CourseId", "Select")
                                            }
                                        }
                                        @Html.ValidationMessageFor(model => model.CourseId)
                                        <input type="hidden" value="@Model.CourseId" id="courseidhidden">
                                        <div style="color:red" id="cerr"> </div>
                                       
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Group
                                    </td>
                                    <td>

                                        @Html.DropDownList("ie", "Select Group")
                                    </td>
                                </tr>
                                <tr id="PackageHourstr">
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Package Hours
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.DropDownList("PackageHours", "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.PackageId, "Package")
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @{
                                            if (@ViewBag.disabled == true)
                                            {
                                                @Html.DropDownList("PackageId", null, new { @disabled = "disabled" })
                                                @Html.HiddenFor(model => model.PackageId)
                                            }
                                            else
                                            {
                                                @Html.DropDownList("PackageId", "Select")

                                            }
                                        }
                                        @Html.ValidationMessageFor(model => model.PackageId)
                                        <input type="hidden" value="@Model.PackageId" id="packageidhidden" />
                                    </td>
                                </tr>

                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.TimeId, "Time")
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>

                                        @Html.DropDownList("TimeId", "Select")
                                        @Html.ValidationMessageFor(model => model.TimeId)

                                        <input type="hidden" id="timeidhidden" value="@Model.TimeId" />
                                    </td>
                                    <td>

                                        <div style="height:20px;width:160px; color:#ffffff; text-align:center; font-weight:bold" id="Avail"></div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.FromDate)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.TextBoxFor(model => model.FromDate, "{0: MM/dd/yyyy}")
                                        @Html.ValidationMessageFor(model => model.FromDate)
                                    </td>
                                </tr>
                                <input type="hidden" name="hdnduedate" id="hdnduedate" value="@Model.DueDate" />

                                @{

                                    if (Request.Cookies[CommonUtil.CookieUsertype].Value == CommonUtil.UserTypeSuperAdmin || Request.Cookies[CommonUtil.CookieUsertype].Value == CommonUtil.UserTypeAdmin || Request.Cookies[SSCMvc.Models.CommonUtil.CookieRoleid].Value == "1008")
                                    {

                                        <tr>
                                            <td>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            @Html.LabelFor(model => model.Todate)
                                                        </td>
                                                        <td>
                                                            <span class="color_style">*</span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td>
                                                @Html.TextBoxFor(model => model.Todate, "{0: MM/dd/yyyy}")
                                                @Html.ValidationMessageFor(model => model.Todate)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            Course Completion Date
                                                            @*@Html.LabelFor(model => model.DueDate)*@
                                                        </td>
                                                        <td>
                                                            <span class="color_style">*</span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td>
                                                @Html.TextBoxFor(model => model.DueDate, "{0: MM/dd/yyyy}")

                                                @Html.ValidationMessageFor(model => model.DueDate)
                                            </td>
                                        </tr>
                                    }
                                }

                                <tr>
                                    <td>
                                        @Html.LabelFor(model => model.currentcourselevel)
                                    </td>
                                    <td>
                                        @{
                                            if (@ViewBag.disabled == true)
                                            {
                                                <div id="Progression">
                                                    @Html.DropDownList("currentcourselevel", "Select")
                                                    @*@Html.DropDownList("currentcourselevel", new SelectList(listIELTS2, "Text", "Value", Model.currentcourselevel))*@
                                                </div>
                                            }
                                            else
                                            {

                                                @Html.HiddenFor(model => model.currentcourselevel)
                                            }

                                        }
                                        @Html.ValidationMessageFor(model => model.currentcourselevel)
                                    </td>
                                </tr>
                                @*<tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>@Html.LabelFor(model => model.CourseRemarks)</td>
                                                    <td><span class="color_style"></span></td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td>
                                            @Html.TextAreaFor(model => model.CourseRemarks)
                                            @Html.ValidationMessageFor(model => model.CourseRemarks)
                                        </td>
                                    </tr>*@
                                <tr>
                                    <td>
                                        @Html.LabelFor(model => model.IsActive)
                                    </td>
                                    <td>
                                        @Html.CheckBoxFor(model => model.IsActive)
                                        @Html.ValidationMessageFor(model => model.IsActive)
                                    </td>
                                </tr>
                            </table>
                            <br />
                            <br />
                            @Html.Action("_ListOfCourseHistory")
                        </form>
                    </div>
                </div>
            </div>
            <div id="editDialog" title="List Of Installment" style="width: 556px">
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>



                                            }
